ProgramElementDoc (Java SE 11 & JDK 11 )
Keywords: com.sun.javadoc.ProgramElementDoc interface

Module jdk.javadoc
Package com.sun.javadoc

## Interface ProgramElementDoc

- All Superinterfaces:
    `Comparable<Object>`, `Doc`
  All Known Subinterfaces:
    `AnnotationTypeDoc`, `AnnotationTypeElementDoc`, `ClassDoc`, `ConstructorDoc`, `ExecutableMemberDoc`, `FieldDoc`, `MemberDoc`, `MethodDoc`

      @Deprecated(since="9",
                  forRemoval=true)
      public interface ProgramElementDoc
      extends Doc

  Deprecated, for removal: This API element is subject to removal in a future version.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.
  Represents a java program element: class, interface, field, constructor, or method. This is an abstract class dealing with information common to these elements.
  See Also:
    `MemberDoc`, `ClassDoc`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotationDesc[]` | `annotations()` | Deprecated, for removal: This API element is subject to removal in a future version. Get the annotations of this program element.
    `ClassDoc` | `containingClass()` | Deprecated, for removal: This API element is subject to removal in a future version. Get the containing class or interface of this program element.
    `PackageDoc` | `containingPackage()` | Deprecated, for removal: This API element is subject to removal in a future version. Get the package that this program element is contained in.
    `boolean` | `isFinal()` | Deprecated, for removal: This API element is subject to removal in a future version. Return true if this program element is final.
    `boolean` | `isPackagePrivate()` | Deprecated, for removal: This API element is subject to removal in a future version. Return true if this program element is package private.
    `boolean` | `isPrivate()` | Deprecated, for removal: This API element is subject to removal in a future version. Return true if this program element is private.
    `boolean` | `isProtected()` | Deprecated, for removal: This API element is subject to removal in a future version. Return true if this program element is protected.
    `boolean` | `isPublic()` | Deprecated, for removal: This API element is subject to removal in a future version. Return true if this program element is public.
    `boolean` | `isStatic()` | Deprecated, for removal: This API element is subject to removal in a future version. Return true if this program element is static.
    `String` | `modifiers()` | Deprecated, for removal: This API element is subject to removal in a future version. Get modifiers string.
    `int` | `modifierSpecifier()` | Deprecated, for removal: This API element is subject to removal in a future version. Get the modifier specifier integer.
    `String` | `qualifiedName()` | Deprecated, for removal: This API element is subject to removal in a future version. Get the fully qualified name of this program element.

    - ### Methods declared in interface com.sun.javadoc.Doc

      `commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

- - ### Method Detail

    - #### containingClass

          ClassDoc containingClass()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get the containing class or interface of this program element.
      Returns:
        a ClassDoc for this element's containing class or interface. If this is a top-level class or interface, return null.

    - #### containingPackage

          PackageDoc containingPackage()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get the package that this program element is contained in.
      Returns:
        a PackageDoc for this element containing package. If in the unnamed package, this PackageDoc will have the name "".

    - #### qualifiedName

          String qualifiedName()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get the fully qualified name of this program element. For example, for the class `java.util.Hashtable`, return "java.util.Hashtable".

      For the method `bar()` in class `Foo` in the unnamed package, return "Foo.bar".

      Returns:
        the qualified name of the program element as a String.

    - #### modifierSpecifier

          int modifierSpecifier()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get the modifier specifier integer.
      Returns:
        Get the modifier specifier integer.
      See Also:
        `Modifier`

    - #### modifiers

          String modifiers()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get modifiers string. For example, for:

             public abstract int foo() { ... }

      return "public abstract". Annotations are not included.
      Returns:
        "public abstract".

    - #### annotations

          AnnotationDesc[] annotations()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get the annotations of this program element. Return an empty array if there are none.
      Returns:
        the annotations of this program element.
      Since:
        1.5

    - #### isPublic

          boolean isPublic()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return true if this program element is public.
      Returns:
        true if this program element is public.

    - #### isProtected

          boolean isProtected()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return true if this program element is protected.
      Returns:
        true if this program element is protected.

    - #### isPrivate

          boolean isPrivate()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return true if this program element is private.
      Returns:
        true if this program element is private.

    - #### isPackagePrivate

          boolean isPackagePrivate()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return true if this program element is package private.
      Returns:
        true if this program element is package private.

    - #### isStatic

          boolean isStatic()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return true if this program element is static.
      Returns:
        true if this program element is static.

    - #### isFinal

          boolean isFinal()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return true if this program element is final.
      Returns:
        true if this program element is final.